## ros-foxy-plotjuggler 3.7.1

=== plotjuggler_plugins/ParserROS/CMakeLists.txt ===

add_definitions(${QT_DEFINITIONS})
add_definitions(-DQT_PLUGIN)

SET(INTROSPECTION_TESTS OFF CACHE BOOL "Compile the tests")
add_subdirectory(rosx_introspection)

include_directories( rosx_introspection/include )

add_library(ParserROS1 SHARED
    ros_parser.cpp
    ros1_parser.h )

target_link_libraries(ParserROS1
    ${Qt5Widgets_LIBRARIES}
    rosx_introspection
    plotjuggler_base)

add_library(ParserROS2 SHARED
    ros_parser.cpp
    ros2_parser.h )

target_link_libraries(ParserROS2
    ${Qt5Widgets_LIBRARIES}
    rosx_introspection
    plotjuggler_base)

install(TARGETS ParserROS1 ParserROS2
    DESTINATION ${PJ_PLUGIN_INSTALL_DIRECTORY}  )

=== plotjuggler_plugins/ParserROS/rosx_introspection/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

project(rosx_introspection  LANGUAGES C CXX VERSION 2.0.0)

# Build flags
#---- Enable C++17 ----
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_POSITION_INDEPENDENT_CODE ON)

find_package(fastcdr QUIET)

if(NOT fastcdr_FOUND )
    # Override Fast-CDR option: compile as static lib
    SET(BUILD_SHARED_LIBS OFF CACHE BOOL "Create shared libraries by default")
    add_subdirectory(3rdparty/Fast-CDR)
    include_directories(3rdparty/Fast-CDR/include)
endif()

###############################################
## Declare a C++ library
###############################################
add_library(rosx_introspection
    ${SRC_FILES}
    src/ros_type.cpp
    src/ros_field.cpp
    src/stringtree_leaf.cpp
    src/ros_message.cpp
    src/ros_parser.cpp
    src/deserializer.cpp
    )
target_link_libraries(rosx_introspection
    fastcdr )

target_include_directories(rosx_introspection PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    )

=== debian/changelog ===
ros-foxy-plotjuggler (3.7.1-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 23 May 2023 11:05:21 -0000

ros-foxy-plotjuggler (3.7.0-1focal) focal; urgency=high

  * Handle protobuf maps (#824 <https://github.com/facontidavide/PlotJuggler/issues/824>)
    Protobuf maps are just repeated protobuf messages with only 2 fields
    "key" and "value". Extract the map's key and use it in the series name
    and skip adding series for "key" fields to reduce the number of non
    useful series. Additionally don't include "value" in the series name for
    the value of a map.
  * add progress dialog to MCAP loading
  * new plugin: DataTamer parser
  * performance optimization in pushBack
  * more information in MCAP error
  * optimization in MoveData
  * address #820 <https://github.com/facontidavide/PlotJuggler/issues/820>
  * Prevent runtime_error exceptions from plugins crashing the main app (#812 <https://github.com/facontidavide/PlotJuggler/issues/812>)
    Catch runtime_error exceptions thrown from the plugins and skip the throwing plugins, so that the main app can continue its normal operation.
  * fix(snap): add libzstd for mcap support (#815 <https://github.com/facontidavide/PlotJuggler/issues/815>)
  * Update README.md
  * Add a "central difference" method of derivative calculation (#813 <https://github.com/facontidavide/PlotJuggler/issues/813>)
  * Updating COMPILE dependencies to install (#810 <https://github.com/facontidavide/PlotJuggler/issues/810>)
    Taken from CI: https://github.com/facontidavide/PlotJuggler/blob/main/.github/workflows/ubuntu.yaml#L20-L31
  * Fix the bug where the shared library Parquet is not linked (#807 <https://github.com/facontidavide/PlotJuggler/issues/807>)
    The actual path to the shared library is in ${PARQUET_SHARED_LIB} instead of in
    ${PARQUET_LIBRARIES}.
  * Add CMake into comp vars and minor format improvements (#804 <https://github.com/facontidavide/PlotJuggler/issues/804>)
    Co-authored-by: Erick G. Islas Osuna <mailto:eislasosuna@netflix.com>
  * Fix for missing preferences (#795 <https://github.com/facontidavide/PlotJuggler/issues/795>)
  * fix typos in "tips and tricks" cheatsheet (#798 <https://github.com/facontidavide/PlotJuggler/issues/798>)
    fix a couple of minor typos in dialog text
  * Support Proto's That Reference Google/Protobuf (#793 <https://github.com/facontidavide/PlotJuggler/issues/793>)
  * Fix for segfault in DataLoadCSV destructor (#784 <https://github.com/facontidavide/PlotJuggler/issues/784>)
    - Change order of deletion for dialogs.
    - First delete child dialog _dateTime_dialog then parent
    _dialog.
  * Add CodeQL workflow (#765 <https://github.com/facontidavide/PlotJuggler/issues/765>)
  * [bugfix] String deserialization (#780 <https://github.com/facontidavide/PlotJuggler/issues/780>)
  * forgot throw
  * fixing nan check (#777 <https://github.com/facontidavide/PlotJuggler/issues/777>)
  * Update Reactive Scripts on playback loop (#771 <https://github.com/facontidavide/PlotJuggler/issues/771>)
  * fix
  * Contributors: Alistair, AndyZe, Bartimaeus-, Connor Anderson, Davide Faconti, Erick G. Islas-Osuna, Guillaume Beuzeboc, Mark Cutler, Michael Orlov, Peter Stöckli, Sam Pfeiffer, Zach Davis, Zheng Qu, augustinmanecy, ozzdemir

 -- Davide Faconti <davide.faconti@gmail.com>  Thu, 18 May 2023 22:00:00 -0000

ros-foxy-plotjuggler (3.6.1-1focal) focal; urgency=high

  * apply changes suggested in #767 <https://github.com/facontidavide/PlotJuggler/issues/767>
  * fix parsing of custom types added multiple times in messages (#769 <https://github.com/facontidavide/PlotJuggler/issues/769>)
  * ZMQ: Add topics filtering (#730 <https://github.com/facontidavide/PlotJuggler/issues/730>)
  * Add CSV loader date-time format help dialog (#731 <https://github.com/facontidavide/PlotJuggler/issues/731>)
  * Set MQTT topics list to be multi-selectable (#745 <https://github.com/facontidavide/PlotJuggler/issues/745>)
  * Always use topic names for creating MQTT parsers (#746 <https://github.com/facontidavide/PlotJuggler/issues/746>)
  * fix typo (#770 <https://github.com/facontidavide/PlotJuggler/issues/770>)
  * Fix/add other dds vendors (#763 <https://github.com/facontidavide/PlotJuggler/issues/763>)
  * Add option to build plotjuggler_base to shared library (#757 <https://github.com/facontidavide/PlotJuggler/issues/757>)
  * Add a new meme with The Rock (#751 <https://github.com/facontidavide/PlotJuggler/issues/751>)
  * Add precision to CSV export to handle geocoordinates (#753 <https://github.com/facontidavide/PlotJuggler/issues/753>)
  * compile: add cmake to brew install (#742 <https://github.com/facontidavide/PlotJuggler/issues/742>)
  * Add MIT license notice to QCodeEditor dddition (#733 <https://github.com/facontidavide/PlotJuggler/issues/733>)
    Added per https://github.com/facontidavide/PlotJuggler/issues/732
  * Fix multi-plugin selection (#739 <https://github.com/facontidavide/PlotJuggler/issues/739>)
    Broken in #726 <https://github.com/facontidavide/PlotJuggler/issues/726>. If all plugins are enabled, then opening a file supported by multiple plugins does not work.
  * 
    
      * Add drag n drop (#726 <https://github.com/facontidavide/PlotJuggler/issues/726>)
      * Ignore VSCode and OS X files
    
  * readme: add details about default snap command (#727 <https://github.com/facontidavide/PlotJuggler/issues/727>)
  * Add mac compilation section (#725 <https://github.com/facontidavide/PlotJuggler/issues/725>)
  * Update README.md (#723 <https://github.com/facontidavide/PlotJuggler/issues/723>)
    minor typos
  * Update README.md
  * Update COMPILE.md
  * Contributors: Andrew Van Overloop, Bartimaeus-, Bonkura, Davide Faconti, Guillaume Beuzeboc, Jeff Ithier, Jeremie Deray, Mark Cutler, Orhan G. Hafif, Romain Reignier, Zach Davis



=== debian/control ===
Source: ros-foxy-plotjuggler
Section: misc
Priority: optional
Maintainer: Davide Faconti <davide.faconti@gmail.com>
Build-Depends: debhelper (>= 9.0.0), binutils-dev, libboost-all-dev, liblz4-dev, libqt5opengl5-dev, libqt5svg5-dev, libqt5websockets5-dev, libqt5x11extras5-dev, libzmq3-dev, libzstd-dev, qtbase5-dev, ros-foxy-ament-cmake, ros-foxy-ament-index-cpp, ros-foxy-fastcdr, ros-foxy-rclcpp, ros-foxy-ros-workspace
Homepage: https://github.com/facontidavide/PlotJuggler
Standards-Version: 3.9.2

Package: ros-foxy-plotjuggler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, binutils-dev, libboost-all-dev, liblz4-dev, libqt5opengl5-dev, libqt5svg5-dev, libqt5websockets5-dev, libqt5x11extras5-dev, libzmq3-dev, libzstd-dev, qtbase5-dev, ros-foxy-ament-index-cpp, ros-foxy-fastcdr, ros-foxy-rclcpp, ros-foxy-ros-workspace
Description: PlotJuggler: juggle with data

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-plotjuggler//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
